﻿
@font-face {
  font-family: Poppins;
  src: url(/fonts/poppins.regular.ttf);
}

@font-face {
  font-family: Poppins;
  src: url(/fonts/poppins.bold.ttf);
  font-weight: bold;
}

body {
	font-family: Poppins, Verdana, Calibri, Tahoma, Arial, sans-serif;
	font-size: 18px;
	font-weight: 300;
}

.spacer {
	margin-bottom: 20px;
}

.vision-text {
	font-size: 250%;
	font-weight: bold;
	color: #FFCC00;
	text-stroke: 2px #000000;
	-webkit-text-stroke: 2px #000000;
	position: absolute;
	top: 0px;
	contain: content;
	transition-property: opacity, left;
	transition-duration: 2s;
	transition-timing-function: ease-out;
	opacity: 0.1;
}

.duane-text {
	font-size: 400%;
	font-weight: bold;
	color: #71ae0e;
	text-stroke: 2px #000000;
	-webkit-text-stroke: 2px #000000;
	position: absolute;
	top: 50px;
	contain: content;
	transition-property: opacity, left;
	transition-duration: 2s;
	transition-timing-function: ease-out;
	opacity: 0.1;
}

a.hidden-login {
	font-size: 6px;
	text-decoration: none;
}

blockquote {
	background-color: #F7F7F7;
	color: #0083dd;
	border: 1px solid #BBBBBB;
}

figure {
	margin: auto;
	padding: 5px;
	display: table;
	width: 1px;
}

figure img {
	display: table-cell;
}

.left {
	float: left;
	margin-right: 10px;
}

.right {
	float: right;
	margin-left: 10px;
}

.clear {
	clear: both;
}

figcaption {
	font-size: 80%;
	background-color: #f7f7f7;
	padding: 5px;
	border: 1px solid #BBBBBB;
	width: calc(100%-10px);
	filter: drop-shadow(4px 4px 2px #333333);
}
	
.hard-link {
	font-weight: bold;
	color: #0083dd;
}

div.margin {
	padding: 10px;
	width: 100%;
}

div.subsection {
	padding: 20px;
}

div.section {
	box-sizing: border-box;
	width: 100%;
	margin-top: 100px;
}

div.subsection  > div:first-child {
	padding-left: 0px;
}

div.accent {
	background-color: #F7F7F7;
}

div.inset {
	max-width: 1100px;
	margin-left: auto;
	margin-right: auto;
}

div.narrow {
	margin-left: 75px;
	margin-right: 75px;
}

div.intro {
	font-size: 150%;
	color: #71ae0e;
	display: block;
}

div.title {
	font-size: 250%;
	color: black;
	display: block;
	font-weight: bold;
}

div.flexbox {
	display: flex;
	flex-wrap: wrap;
	width: 100%;
	gap: 20px;
}

.invert {
	padding: 8px 5px;
	color: white;
	background-color: #0083dd;
	margin: 5px 0px;
}

.center {
	margin-left: auto;
	margin-right: auto;
	text-align: center;
}

.middle {
	position: absolute;
	margin-top: 0;
	margin-bottom: 0;
	top: 50%;
	left: 50%;
	-ms-transform: translate(-50%, -50%);
	transform: translate(-50%, -50%);
}

.green-top-border {
	border-top: 4px solid #71ae0e;
}

.details-button {
	padding: 15px 40px;
	border-radius: 10px;
	color: white;
	background-color: #0083dd;
	margin-top: 10px;
	margin-bottom: 10px;
	display: inline-block;
	font-weight: bold;
	font-size: 120%;
}

.nav-left {
	margin-left: auto;
	margin-right: auto;
	width: 150px;
	padding: 15px 20px;
	border-radius: 10px;
	color: white;
	background: #0083dd url('/images/button-arrow-left.png') no-repeat;
	background-position: left 15% top 50%;
	margin-top: 10px;
	margin-bottom: 10px;
	display: inline-block;
	font-weight: bold;
	font-size: 120%;	
	text-align: right;
}

.nav-left:hover {
	cursor: pointer;
}

.nav-right {
	margin-left: auto;
	margin-right: auto;
	width: 150px;
	padding: 15px 20px;
	border-radius: 10px;
	color: white;
	background: #0083dd url('/images/button-arrow-right.png') no-repeat;
	background-position: right 15% top 50%;
	margin-top: 10px;
	margin-bottom: 10px;
	display: inline-block;
	font-weight: bold;
	font-size: 120%;	
}

.nav-right:hover {
	cursor: pointer;
}

.nav-middle {
	margin-left: auto;
	margin-right: auto;
	padding: 15px 40px 15px 40px;
	border-radius: 10px;
	color: white;
	background: #0083dd;
	margin-top: 10px;
	margin-bottom: 10px;
	display: inline-block;
	font-weight: bold;
	font-size: 120%;	
}

.nav-middle:hover {
	cursor: pointer;
}

div.search-result h2 {
	font-size: 140%;
	color: #0083dd;
	margin: 0px 10px 0px 0px;
}

div.search-result h3 {
	font-size: 110%;
	margin: 5px 10px 0px 0px;
}

div.search-result h4 {
	font-size: 90%;
	margin: 5px 10px 0px 0px;
}

hr {
	color: #0083dd;
}

div.link, span-link {
	cursor: pointer;
}

.details-button:hover {
	cursor: pointer;
}

.clickable-carousel-panel:hover {
	cursor: pointer;
}

.details-wrapper {
	overflow: hidden;
}

div.dark-content h2 {
	color: #0083dd;
}

div.dark-content h3 {
	color: white;
}

div.dark-content p {
	color: white;
}

h1.blue {
	color: #0083dd;
}

div.menu-bar {
	position: -webkit-sticky; 
	position: sticky;
	width: 100%;
	padding-left: -100px;
	top: 5px;
	height: 74px;
	background: repeat-x url(/images/menu-background.png);
	z-index: 10;
}

div.menu-bar button {
	height: 50px;
	font-family: Poppins;
	font-size: 24px;
	font-weight: bold;
	color: #0083dd;
	display: inline-block;
	border-radius: 10px;
	type: button;
	position: relative;
	width: 175px;
	top: 50%;
	-ms-transform: translateY(-50%);
	transform: translateY(-50%);	
	background-position: center;
	background-repeat: no-repeat;
}

div.menu-bar button.left {
	float: left;
	margin-left: 30px;
}

div.menu-bar button.right {
	float: right;
	margin-right: 30px;
}

div.menu-bar button.icon {
	width: 50px;
}

div.menu-pane {
	position: absolute;
	top: 74px;
	background: url(/images/menu-background.png);
	z-index: 11;
	border-radius: 10px;
	border: 0px solid #0083dd;
	height: 0px;
	transition: height .5s;
	padding: 0px 20px;
	overflow: hidden;
	box-sizing: border-box;
	font-size: 30px;
}

div.menu-pane h1 {
	font-size: 24px;
	font-weight: bold;
	color: #0083dd;
}

div.menu-pane label {
	font-size: 18px;
	color: black;
}

form input, form textarea, form select {
	font-size: 18px;
	resize: none;
}

form textarea {
	overflow: auto;
}

form div.check {
	max-height: 25px;
}

form input[type='text'], form input[type="email"], form textarea {
	margin-top: 5px;
	display: block;
}

form input[type='submit'], form input[type='reset'], form select, form button {
	width: 140px;
	margin-top: 8px;
	display: block;
}

div#menu-pane-archive {
	font-size: 24px;
}

div.grid-ff-a {
	display: grid;
	grid-template-columns: 1fr 1fr;
	grid-template-rows: auto;	
}

div.grid-af-a {
	display: grid;
	grid-template-columns: auto 1fr;
	grid-template-rows: auto
}

div.grid-fa-a {
	display: grid;
	grid-template-columns: 1fr auto;
	grid-template-rows: auto
}

div.grid-a-aa{
	display: grid;
	grid-template-columns: auto;
	grid-template-rows: auto auto;	
}

div.grid-ff-ff {
	display: grid;
	grid-template-columns: 1fr 1fr;
	grid-template-rows: 1fr 1fr;	
}


div.grid-afa-a {
	display: grid;
	grid-template-columns: auto 1fr auto;
	grid-template-rows: auto;	
}

div.grid-f-ffff {
	display: grid;
	grid-template-columns:1fr;
	grid-template-rows:  1fr 1fr 1fr 1fr;	
}

div.grid-fff-ff {
	display: grid;
	grid-template-columns: 1fr 1fr 1fr;
	grid-template-rows:    1fr 1fr;
}

div.grid-ff-fff {
	display: grid;
	grid-template-columns: 1fr 1fr;
	grid-template-rows:    1fr 1fr 1fr;
}

div.grid-a2-f---a-a {
	grid-template-columns: auto auto;
	grid-template-rows:    auto auto;
	grid-row-start: 1;
	grid-row-end: 3;
}

div.grid-fff-f {
	display: grid;
	grid-template-columns: 1fr 1fr 1fr;
	grid-template-rows:    1fr;
}

div.grid-ffff-f {
	display: grid;
	grid-template-columns: 1fr 1fr 1fr 1fr;
	grid-template-rows:    1fr;
}

div.accordion {
	width: 500px;
	background-color: white;
}

div.accordion > div > div:first-child {
	height: 60px;
	font-weight: 500;
}

div.accordion > div[data-state='closed'] > div:first-child {
	color: #222222;
}

div.accordion > div[data-state='open'] > div:first-child {
	color: #0083dd;
}

div.accordion > div[data-state='open']   img:nth-of-type(2) {
	opacity: 1;	
}

div.accordion > div[data-state='closed']   img:nth-of-type(2) {
	opacity: 0;	
}

div.accordion > div[data-state='open']   img:first-child {
	opacity: 0;	
}

div.accordion > div[data-state='closed']   img:first-child {
	opacity: 1;	
}

div.accordion > div > div:nth-child(2) > div {
	padding: 10px;
	color: white;
	background-color: #0083dd;
	border-radius: 5px;
}

.pad-m {
	padding: 10px;
}


.resume-link:hover {
	cursor: pointer;
}

article  > div {
	font-family: Poppins;
	background: url('/images/article-header.png') no-repeat;
	width: 100%;
	min-height: 200px;
	margin-top: 20px;
	padding-top: 25px;
}

article div.date {
	font-size: 14px;
	color: #0083dd;
	margin-left: 62px;
	margin-top: 0px;
}

article img.edit-icon {
	position: absolute;
	margin-left: 5px;
	margin-top: -48px;
}

article img.edit-icon:hover {
	cursor: pointer;
}

article h1 {
	font-size: 24px;
	color: #0083dd;
	margin-top: 0px;
	margin-left: 62px;
}

article h2 {
	font-size: 16px;
	color: #71ae0e;
	margin-left: 62px;
	margin-top: 3px;
}

article h2.edit {
	margin-left: 0px;
}

article h3 {
	font-size: 14px;
	color: black;
	margin-left: 62px;
	margin-top: 3px;
}


article div.content {
	margin-top: 20px;
	margin-left: 62px;
}

article div.special-content {
	margin-top: 20px;
	margin-left: 62px;
	padding: 8px;
	background-color: #CCCCCC;
}

article img.icon {
	float: right;
	width: 100px;
}

div.share-icons {
	display: grid;
	grid-template-columns: 1fr 1fr;
	grid-template-rows: 1fr 1fr;
	gap: 20px;
	margin: 20px auto 20px auto;
}

div.share-icons div {
	width: 50px;
	height: 50 px;
}

div.share-icons div img {
	width: 65px;
}

div.share-icons div img:hover {
	cursor: pointer;
	transform: scale(120%);
}

ul.treeview {
	font-size: 75%;
	padding: 0;
	margin: 0;
}

ul.treeview, ul.treeview ul {
	list-style-type: none;
}

ul.treeview ul {
	padding-left: 10px;
}

ul.treeview li {
	margin-left: 8px;
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
}

ul.treeview  > li:hover, ul.treeview > li > ul >li:hover {
	cursor: pointer;
}

ul.treeview  > li:before, ul.treeview > li > ul > li:before {
	content: "\25B6";
	color: #0083dd;;
	display: inline-block;
	margin-right: 8px;
}

ul.treeview li li li {
	margin-left:9px;
}

ul.treeview li.open:before {
	content: "\25BC";
	margin-right: 6px;
}
	
ul.treeview li > ul {
	display: none;
}

ul.treeview li.open > ul {
	display: block;
}

ul.treeview li > span+span {
	display: none;
}

input.validate:invalid, textarea.validate:invalid {
	color: red;
}

input.blue {
	color: white;
	background-color: #0083dd;
	margin-top: 8px;
	border-radius: 10px;
	font-weight: bold;
	padding: 5px;
}

@keyframes continuous-rotation {
	from {
		transform: rotate(0deg);
	}
	to {
    transform: rotate(359deg);
	}
}

img.email-status {
	position: absolute;
	top: 400px;
	left: 300px;
	visibility: hidden;
}

img.spin {
	animation: continuous-rotation 1s linear infinite;
}

div.login-window {
	position: fixed;
	width: 275px;
	height: 150px;
	border: 2px solid #0083dd;
	border-radius: 5px;
	top: 125px;
	left: 50%;
	-ms-transform: translateX(-50%);
	transform: translateX(-50%);	
	z-index: 20;
	visibility: hidden;
}

div.blog-edit-section {
	display: grid;
	grid-template-columns: 1fr 200px;
	gap: 25px;
}

div.blog-edit-section label {
	font-size: 16px;
	font-weight: bold;
	color: #0083dd;
}

div.blog-edit-section input, div.blog-edit-section textarea , div.blog-edit-section select {
	margin-bottom: 15px;
	width: 100%;
}

.edit-gap {
	margin-top: 15px;
	margin-left: -32px;
}

img.change-image {
	width: 100%;
	height: 100%;
	object-fit: scale-down;
}

hr.clear {
	visibility: hidden;
	color: transparent;
	clear: both;
}
